package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcSafetyCounty;

/**
 * 安全隐患统计Service接口
 * 
 * @author ruoyi
 * @date 2023-09-20
 */
public interface ITcSafetyCountyService 
{
    /**
     * 查询安全隐患统计
     * 
     * @param id 安全隐患统计主键
     * @return 安全隐患统计
     */
    public TcSafetyCounty selectTcSafetyCountyById(Long id);

    /**
     * 查询安全隐患统计列表
     * 
     * @param tcSafetyCounty 安全隐患统计
     * @return 安全隐患统计集合
     */
    public List<TcSafetyCounty> selectTcSafetyCountyList(TcSafetyCounty tcSafetyCounty);

    /**
     * 新增安全隐患统计
     * 
     * @param tcSafetyCounty 安全隐患统计
     * @return 结果
     */
    public int insertTcSafetyCounty(TcSafetyCounty tcSafetyCounty);

    /**
     * 修改安全隐患统计
     * 
     * @param tcSafetyCounty 安全隐患统计
     * @return 结果
     */
    public int updateTcSafetyCounty(TcSafetyCounty tcSafetyCounty);

    /**
     * 批量删除安全隐患统计
     * 
     * @param ids 需要删除的安全隐患统计主键集合
     * @return 结果
     */
    public int deleteTcSafetyCountyByIds(Long[] ids);

    /**
     * 删除安全隐患统计信息
     * 
     * @param id 安全隐患统计主键
     * @return 结果
     */
    public int deleteTcSafetyCountyById(Long id);
}
